Name: bootloader-utils
Version: 0.3.3
Release: alt1

Summary: Bootloader utilities
License: GPL
Group: System/Base

URL: http://www.altlinux.ru
Packager: Alexey Tourbin <at@altlinux.ru>
BuildArch: noarch

Source: %name-%version-%release.tar

Requires: fdisk getopt
Provides: %_sbindir/detectloader /sbin/installkernel

# Automatically added by buildreq on Thu Feb 22 2007
BuildRequires: perl-devel

%description
This package contains utilities used to manipulate bootloaders.

%prep
%setup -q -n %name-%version-%release

%build
%make_build
%make test

%install
%makeinstall perl_libdir=%buildroot%perl_vendor_privlib
ln -s `relative %perl_vendor_privlib/bootloader_utils.pm %_datadir/loader/bootloader_utils.pm` \
	%buildroot%_datadir/loader/bootloader_utils.pm

%files
/sbin/installkernel
%_sbindir/detectloader
%_sbindir/rebootin
%_datadir/loader/
%perl_vendor_privlib/*.pm
%_man8dir/*.*

%changelog
* Fri Mar 07 2008 Dmitry V. Levin <ldv@altlinux.org> 0.3.3-alt1
- grub: Fixed memtest removal (Alexey Tourbin).
- installkernel:
  + Do not discard /sbin/lilo stdout (Alexey Tourbin).
  + Do not run detectloader in nolaunch mode.
  + Do not invoke "cp" by absolute pathname.
  + Do not touch files in DURING_INSTALL mode,
    thus reverting the change made in 0.3.1-alt2.
  + Replaced non-portable "realpath" with "readlink -e".
  + Fixed xen kernels install (Aleksey Avdeev, #13672).

* Thu Feb 22 2007 Alexey Tourbin <at@altlinux.ru> 0.3.2-alt1
- fixed accidental Windows(tm) removal from lilo.conf (#6102)
- fixed lilo.conf quoting issues (#10903)

* Mon Feb 12 2007 Alexey Gladkov <legion@altlinux.ru> 0.3.1-alt2
- Update symlinks in /boot if DURING_INSTALL specified.

* Fri Feb 09 2007 Alexey Gladkov <legion@altlinux.ru> 0.3.1-alt1.1.1
- NMU:
    - quote lilo parameters.

* Thu Feb 09 2006 Anton Farygin <rider@altlinux.ru> 0.3.1-alt1.1
- NMU:
    - fstab parser fixes (#3318, #8615)
    - installkernel fixes (#4811, #7386)

* Tue Aug 17 2004 Alexey Tourbin <at@altlinux.ru> 0.3.1-alt1
- fixed skiplist processing (Sergey Vlasov, #4254)
- create backup (.old) copies of lilo.conf and grub/menu.lst (#4395)
- installkernel: run mkinitrd(8) without --ifneeded (should hopefully fix #4234 and #4643) 

* Fri Jun 11 2004 Alexey Tourbin <at@altlinux.ru> 0.3-alt1
- added support for LABEL and UUID volumes (via /etc/mtab)
- installkernel: save entry for /boot/vmlinuz before upgrade
- installkernel: added support for memtest86
- grub: fix for separate /boot partition, by Sergey Vlasov (#4234)
- started test suite (test.pl)

* Fri May 07 2004 Alexey Tourbin <at@altlinux.ru> 0.2-alt1
- here goes my first major revision; highlights:
  + common.pm -> bootloader_utils.pm, reworked
  + detectloader(1) reworked
  + helpers for lilo(1) and grub(1) configuration files reworked
  + installkernel reworked, /etc/sysconfig/installkernel disappeared

* Wed Mar 19 2003 Peter Novodvorsky <nidd@altlinux.com> 0.1-alt7
- Updated label shorten algorithm in lilo installer script.

* Mon Dec 09 2002 Dmitry V. Levin <ldv@altlinux.org> 0.1-alt6
- Fixed perl dependencies (#0001679).

* Fri Nov 15 2002 Stanislav Ievlev <inger@altlinux.ru> 0.1-alt5
- rebuild
- more features:
    + skiplist for mhz (#0001015)
    + advanced skiping of cdroms (#0001014)

* Fri Mar 15 2002 Dmitry V. Levin <ldv@alt-linux.org> 0.1-alt4
- Fixed configuration options parsing (imz, #0000507).

* Thu Feb 14 2002 Stanislav Ievlev <inger@altlinux.ru> 0.1-alt3
- added new signature for the GRUB

* Fri Nov 23 2001 Dmitry V. Levin <ldv@alt-linux.org> 0.1-alt2
- Added %%build section, autogenerated buildrequires.

* Wed Nov 14 2001 Dmitry V. Levin <ldv@alt-linux.org> 0.1-alt1
- Imported MDK code (to be rewritten).
